<div class="flex flex-col flex-auto min-w-0">
    <mat-card>
        <mat-card-header class="bg-blue-800 justify-center rounded-t-lg">
            <mat-label class="mb-4 text-xl text-white">แบบประเมิน {{title}}</mat-label>
        </mat-card-header>

        <div class="flex flex-col divide-y" cdkScrollable>
            <div class="card-body">
                <ngx-spinner [fullScreen]="false" color="#fff" type="ball-clip-rotate-multiple" size="medium">
                    <p class="myLoading">Loading Datas...</p>
                </ngx-spinner>
            </div>
            <div class="flex flex-col pt-2 pl-4" *ngFor="let r of evaluate.evaluate_data; let i= index">
             
                <span *ngIf="r.question_id == 49">
                    {{r.question_text}} ตำแหน่งที่ปวด : {{r.note_text}} score : {{r.answer_score}}
                </span>
                <span *ngIf="r.question_id != 49 && r.question_id !=58">
                    {{r.question_text}} score : {{r.answer_score}}
                </span>
                <span *ngIf="r.question_id == 58">
                    {{r.question_text}} : {{r.note_text}}
                </span>
                <div *ngIf="r.question_id != 58" class="mb-8 mt-2">
                    <ngx-slider name={{r.question_id}} [(value)]="r.answer_score"
                        [displayWith]="r.answer_score" [options]="options">
                    </ngx-slider>
                </div>
            </div>
            <div class="flex flex-auto w-full mt-4 mb-2 justify-center items-center">
                <mat-dialog-actions>
                    <button mat-raised-button color="primary"
                        (click)="close()">Close Dialog</button>

                    <button  *ngIf="lastVisit == 'Y'" routerLink="/evaluate/esas" (click)="close()"
                        class="hidden sm:inline-flex"
                        mat-stroked-button>
                        <mat-icon
                            class="icon-size-5"
                            [svgIcon]="'heroicons_solid:cog'"></mat-icon>
                        <span class="ml-2">แก้ไขข้อมูล</span>
                    </button>
                </mat-dialog-actions>
        </div>

        </div>

    </mat-card>
</div>